xquery version "3.1";

(:~
 : A helper module that serves for displaying the schema HTMLs.
 :
 : @author Michelle Weidling
 :)

module namespace bdn-odd="http://bdn-edition.de/ns/odd";

declare namespace bdn="http://www.bdn-edition.de/ns/1.0";
declare namespace xhtml="http://www.w3.org/1999/xhtml";
declare namespace tei="http://www.tei-c.org/ns/1.0";

import module namespace bdn-utils="http://bdn-edition.de/ns/utils";
import module namespace config="https://sade.textgrid.de/ns/config" at "../config.xqm";
import module namespace odd-serializer="http://bdn-edition.de/ns/odd-serializer";
import module namespace templates="http://exist-db.org/xquery/templates";


(:~
 : Triggers the XHTML serialization of the ODD.
 :)
declare function bdn-odd:main()
{
  bdn-utils:get-or-create($config:edition),
  odd-serializer:main($config:schema, $config:edition)
};

(:~
 : Opens the main content of the ODD XHTML.
 :)
declare %templates:wrap function bdn-odd:schema($node as node(), $model as map(*))
{
  doc($config:edition || "odd.html")/*
};

(:~
 : Opens the TOC/overview of the ODD XHTML.
 :)
declare %templates:wrap function bdn-odd:schema-toc($node as node(), $model as map(*))
{
  doc($config:edition || "odd-toc.html")/*
};
